package com.guozhi.elasticsearch.dto;

import lombok.Data;

import javax.persistence.Table;

/**
 * 系统日志dto
 * @author LiuchangLan
 * @date 2020/9/4 11:53
 */
@Data
@Table(name = "sp_log")
public class LogDTO {
    // 日志类型(字典表关联)
    private String logType;

    // 操作模块
    private String module;

    // 操作业务
    private String business;

    // 操作方法
    private String execMethod;

    // 操作传参Json
    private String paramsJson;

    // 错误信息
    private String errorMsg;

    // 操作ip
    private String execIp;

    // 操作人
    private Integer execBy;

    private String execTime;
}
